# Audio volume set

An action block that change the volume setting for an audio stream.

The fiber will proceed immediately without pause.

Changing the Ring stream volume may affect the current Do Not Disturb setting on Android 5+.

Note! Setting the Media and Music volume may be unreliable on Chinese brand devices, e.g. OnePlus and Realme, running Android 12+, try using the Accessibility stream instead.

## Input arguments

- Volume — audio volume.
- Audio stream — audio stream, default is Voice call.
- Popup — whether to show the volume popup.
- Test sound — whether to play a test sound, may not work on Android 6+.